### Method

# Vips Image get_area

#### Declaration [src]

    int
    vips_image_get_area (
      const VipsImage* image,
      const char* name,
      void** data
    )

#### Description [src]

Gets `data` from `image` under the name `name`. A convenience function over `vips_image_get()`. Use `vips_image_get_typeof()` to test for the existence of a piece of metadata.

See also

`vips_image_set_area()`, `vips_image_get()`, `vips_image_get_typeof()`.

#### Parameters

`name`

  Type: `const char*`

  Metadata name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`data`

  Type: `void**`

  Return metadata value.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `int`

0 on success, -1 otherwise.